Skip to main content
GET
/
v1
/
customer-meters
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.CustomerMeters.List(ctx, operations.CustomerMetersListRequest{
        OrganizationID: polargo.Pointer(operations.CreateCustomerMetersListQueryParamOrganizationIDFilterStr(
            "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
        )),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListResourceCustomerMeter != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "customer_id": "<string>",
      "meter_id": "<string>",
      "consumed_units": 123,
      "credited_units": 123,
      "balance": 123,
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "email": "<string>",
        "email_verified": true,
        "type": "<string>",
        "name": "John Doe",
        "billing_address": {
          "country": "AD",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "tax_id": {
          "[0]": "<string>"
        },
        "organization_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "external_id": "usr_1337",
        "locale": "<string>"
      },
      "meter": {
        "metadata": {},
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "name": "<string>",
        "unit": "scalar",
        "filter": {
          "conjunction": "and",
          "clauses": [
            {
              "property": "<string>",
              "operator": "eq",
              "value": "<string>"
            }
          ]
        },
        "aggregation": {
          "func": "count"
        },
        "organization_id": "<string>",
        "custom_label": "<string>",
        "custom_multiplier": 123,
        "archived_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

meter_id

Filter by meter ID. The meter ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
modified_at,
-modified_at,
customer_id,
-customer_id,
customer_name,
-customer_name,
meter_id,
-meter_id,
meter_name,
-meter_name,
consumed_units,
-consumed_units,
credited_units,
-credited_units,
balance,
-balance

Response

Successful Response

items
CustomerMeter · object[]
required
pagination
Pagination · object
required